package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthDatum
* date: 2021-9-7 10:49:11
*/
public class YthDatumQuery extends YthDatumEntity{
    private static final long serialVersionUID = 1630982951502L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 材料id 政务网来的id */
    private List<String> tidList;
    /** 开始 事项id */
    private Long matteridStart;

    /** 结束 事项id */
    private Long matteridEnd;

    /** 增加 事项id */
    private Long matteridIncrement;

    /** 事项id */
    private List <Long> matteridList;


    /** 材料名称 */
    private List<String> materialNameList;

    /** 材料编号 */
    private List<String> materialCodeList;

    /** 材料类型 */
    private List<String> materialTypeList;

    /** 开始 材料属性 */
    private Integer materialPropertyStart;

    /** 结束 材料属性 */
    private Integer materialPropertyEnd;

    /** 增加 材料属性 */
    private Integer materialPropertyIncrement;

    /** 材料属性 */
    private List <Integer> materialPropertyList;

    /** 开始 纸质材料份数 */
    private Integer paperNumStart;

    /** 结束 纸质材料份数 */
    private Integer paperNumEnd;

    /** 增加 纸质材料份数 */
    private Integer paperNumIncrement;

    /** 纸质材料份数 */
    private List <Integer> paperNumList;

    /** 开始 电子材料份数 */
    private Integer electronicNumStart;

    /** 结束 电子材料份数 */
    private Integer electronicNumEnd;

    /** 增加 电子材料份数 */
    private Integer electronicNumIncrement;

    /** 电子材料份数 */
    private List <Integer> electronicNumList;

    /** 开始 是否必交 */
    private Integer isMustStart;

    /** 结束 是否必交 */
    private Integer isMustEnd;

    /** 增加 是否必交 */
    private Integer isMustIncrement;

    /** 是否必交 */
    private List <Integer> isMustList;

    /** 送报要求 填报须知 */
    private List<String> deliverDemandList;

    /** 材料种类 */
    private List<String> materialCategoryList;

    /** 开始 应交材料来源：枚举单选 */
    private Integer materialSourceStart;

    /** 结束 应交材料来源：枚举单选 */
    private Integer materialSourceEnd;

    /** 增加 应交材料来源：枚举单选 */
    private Integer materialSourceIncrement;

    /** 应交材料来源：枚举单选 */
    private List <Integer> materialSourceList;

    /** 具体办理部门名称，冗余备用 */
    private List<String> handleDeptNameList;

    /** 其他材料类型描述 */
    private List<String> othersRemarkList;

    /** 开始 材料是否容缺：枚举单选 */
    private Integer isLackStart;

    /** 结束 材料是否容缺：枚举单选 */
    private Integer isLackEnd;

    /** 增加 材料是否容缺：枚举单选 */
    private Integer isLackIncrement;

    /** 材料是否容缺：枚举单选 */
    private List <Integer> isLackList;

    /** 开始 是否证明类材料：枚举单选 */
    private Integer isProofMaterialStart;

    /** 结束 是否证明类材料：枚举单选 */
    private Integer isProofMaterialEnd;

    /** 增加 是否证明类材料：枚举单选 */
    private Integer isProofMaterialIncrement;

    /** 是否证明类材料：枚举单选 */
    private List <Integer> isProofMaterialList;

    /** 开始 是否加盖鲜章 */
    private Integer isFreshSealStart;

    /** 结束 是否加盖鲜章 */
    private Integer isFreshSealEnd;

    /** 增加 是否加盖鲜章 */
    private Integer isFreshSealIncrement;

    /** 是否加盖鲜章 */
    private List <Integer> isFreshSealList;

    /** 盖章方式 */
    private List<String> sealWayList;

    /** 申请材料得出具单位 */
    private List<String> sourceOfMaterialList;

    /** 受理标准 */
    private List<String> remarkList;

    /** 填报须知 */
    private List<String> remarkSubList;

    /** 要求提供材料的依据 */
    private List<String> clauseContentList;

    /** 电子材料格式 */
    private List<String> electronicgsList;

    /** 来源渠道说明 */
    private List<String> materialSourceSmList;

    /** 纸质材料规格 */
    private List<String> paperGgList;

    /** 是否减免 */
    private List<String> isjianmList;

    /** 减免模式 */
    private List<String> jianmMsList;

    /** 备注 */
    private List<String> summaryList;

    /** 样表下载地址 */
    private List<String> ybUrlList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthDatumQuery> andConditionList;


    public YthDatumQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 材料id 政务网来的id
    * @return tidList
    */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
    * 设置 材料id 政务网来的id
    * @param tidList
    */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
    * 获取 开始 事项id
    * @return matteridStart
    */
    public Long getMatteridStart(){
    return this.matteridStart;
    }

    /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public void setMatteridStart(Long matteridStart){
    this.matteridStart = matteridStart;
    }

    /**
    * 获取 结束 事项id
    * @return matteridEnd
    */
    public Long getMatteridEnd(){
    return this.matteridEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public void setMatteridEnd(Long matteridEnd){
    this.matteridEnd = matteridEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matteridIncrement
    */
    public Long getMatteridIncrement(){
    return this.matteridIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public void setMatteridIncrement(Long matteridIncrement){
    this.matteridIncrement = matteridIncrement;
    }

    /**
    * 获取 事项id
    * @return matteridList
    */
    public List<Long> getMatteridList(){
    return this.matteridList;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public void setMatteridList(List<Long> matteridList){
        this.matteridList = matteridList;
        }
    /**
    * 获取 材料名称
    * @return materialNameList
    */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
    * 设置 材料名称
    * @param materialNameList
    */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
    * 获取 材料编号
    * @return materialCodeList
    */
    public List<String> getMaterialCodeList(){
        return this.materialCodeList;
    }

    /**
    * 设置 材料编号
    * @param materialCodeList
    */
    public void setMaterialCodeList(List<String> materialCodeList){
        this.materialCodeList = materialCodeList;
    }
    /**
    * 获取 材料类型
    * @return materialTypeList
    */
    public List<String> getMaterialTypeList(){
        return this.materialTypeList;
    }

    /**
    * 设置 材料类型
    * @param materialTypeList
    */
    public void setMaterialTypeList(List<String> materialTypeList){
        this.materialTypeList = materialTypeList;
    }
    /**
    * 获取 开始 材料属性
    * @return materialPropertyStart
    */
    public Integer getMaterialPropertyStart(){
        return this.materialPropertyStart;
    }

    /**
    * 设置 开始 材料属性
    * @param materialPropertyStart
    */
    public void setMaterialPropertyStart(Integer materialPropertyStart){
        this.materialPropertyStart = materialPropertyStart;
    }

    /**
    * 获取 结束 材料属性
    * @return materialPropertyEnd
    */
    public Integer getMaterialPropertyEnd(){
        return this.materialPropertyEnd;
    }

    /**
    * 设置 结束 材料属性
    * @param materialPropertyEnd
    */
    public void setMaterialPropertyEnd(Integer materialPropertyEnd){
        this.materialPropertyEnd = materialPropertyEnd;
    }

    /**
    * 获取 增加 材料属性
    * @return materialPropertyIncrement
    */
    public Integer getMaterialPropertyIncrement(){
        return this.materialPropertyIncrement;
    }

    /**
    * 设置 增加 材料属性
    * @param materialPropertyIncrement
    */
    public void setMaterialPropertyIncrement(Integer materialPropertyIncrement){
        this.materialPropertyIncrement = materialPropertyIncrement;
    }

    /**
    * 获取 材料属性
    * @return materialPropertyList
    */
    public List<Integer> getMaterialPropertyList(){
        return this.materialPropertyList;
    }

    /**
    * 设置 材料属性
    * @param materialPropertyList
    */
    public void setMaterialPropertyList(List<Integer> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
    }
    /**
    * 获取 开始 纸质材料份数
    * @return paperNumStart
    */
    public Integer getPaperNumStart(){
        return this.paperNumStart;
    }

    /**
    * 设置 开始 纸质材料份数
    * @param paperNumStart
    */
    public void setPaperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
    }

    /**
    * 获取 结束 纸质材料份数
    * @return paperNumEnd
    */
    public Integer getPaperNumEnd(){
        return this.paperNumEnd;
    }

    /**
    * 设置 结束 纸质材料份数
    * @param paperNumEnd
    */
    public void setPaperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
    }

    /**
    * 获取 增加 纸质材料份数
    * @return paperNumIncrement
    */
    public Integer getPaperNumIncrement(){
        return this.paperNumIncrement;
    }

    /**
    * 设置 增加 纸质材料份数
    * @param paperNumIncrement
    */
    public void setPaperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
    }

    /**
    * 获取 纸质材料份数
    * @return paperNumList
    */
    public List<Integer> getPaperNumList(){
        return this.paperNumList;
    }

    /**
    * 设置 纸质材料份数
    * @param paperNumList
    */
    public void setPaperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
    }
    /**
    * 获取 开始 电子材料份数
    * @return electronicNumStart
    */
    public Integer getElectronicNumStart(){
        return this.electronicNumStart;
    }

    /**
    * 设置 开始 电子材料份数
    * @param electronicNumStart
    */
    public void setElectronicNumStart(Integer electronicNumStart){
        this.electronicNumStart = electronicNumStart;
    }

    /**
    * 获取 结束 电子材料份数
    * @return electronicNumEnd
    */
    public Integer getElectronicNumEnd(){
        return this.electronicNumEnd;
    }

    /**
    * 设置 结束 电子材料份数
    * @param electronicNumEnd
    */
    public void setElectronicNumEnd(Integer electronicNumEnd){
        this.electronicNumEnd = electronicNumEnd;
    }

    /**
    * 获取 增加 电子材料份数
    * @return electronicNumIncrement
    */
    public Integer getElectronicNumIncrement(){
        return this.electronicNumIncrement;
    }

    /**
    * 设置 增加 电子材料份数
    * @param electronicNumIncrement
    */
    public void setElectronicNumIncrement(Integer electronicNumIncrement){
        this.electronicNumIncrement = electronicNumIncrement;
    }

    /**
    * 获取 电子材料份数
    * @return electronicNumList
    */
    public List<Integer> getElectronicNumList(){
        return this.electronicNumList;
    }

    /**
    * 设置 电子材料份数
    * @param electronicNumList
    */
    public void setElectronicNumList(List<Integer> electronicNumList){
        this.electronicNumList = electronicNumList;
    }
    /**
    * 获取 开始 是否必交
    * @return isMustStart
    */
    public Integer getIsMustStart(){
        return this.isMustStart;
    }

    /**
    * 设置 开始 是否必交
    * @param isMustStart
    */
    public void setIsMustStart(Integer isMustStart){
        this.isMustStart = isMustStart;
    }

    /**
    * 获取 结束 是否必交
    * @return isMustEnd
    */
    public Integer getIsMustEnd(){
        return this.isMustEnd;
    }

    /**
    * 设置 结束 是否必交
    * @param isMustEnd
    */
    public void setIsMustEnd(Integer isMustEnd){
        this.isMustEnd = isMustEnd;
    }

    /**
    * 获取 增加 是否必交
    * @return isMustIncrement
    */
    public Integer getIsMustIncrement(){
        return this.isMustIncrement;
    }

    /**
    * 设置 增加 是否必交
    * @param isMustIncrement
    */
    public void setIsMustIncrement(Integer isMustIncrement){
        this.isMustIncrement = isMustIncrement;
    }

    /**
    * 获取 是否必交
    * @return isMustList
    */
    public List<Integer> getIsMustList(){
        return this.isMustList;
    }

    /**
    * 设置 是否必交
    * @param isMustList
    */
    public void setIsMustList(List<Integer> isMustList){
        this.isMustList = isMustList;
    }
    /**
    * 获取 送报要求 填报须知
    * @return deliverDemandList
    */
    public List<String> getDeliverDemandList(){
        return this.deliverDemandList;
    }

    /**
    * 设置 送报要求 填报须知
    * @param deliverDemandList
    */
    public void setDeliverDemandList(List<String> deliverDemandList){
        this.deliverDemandList = deliverDemandList;
    }
    /**
    * 获取 材料种类
    * @return materialCategoryList
    */
    public List<String> getMaterialCategoryList(){
        return this.materialCategoryList;
    }

    /**
    * 设置 材料种类
    * @param materialCategoryList
    */
    public void setMaterialCategoryList(List<String> materialCategoryList){
        this.materialCategoryList = materialCategoryList;
    }
    /**
    * 获取 开始 应交材料来源：枚举单选
    * @return materialSourceStart
    */
    public Integer getMaterialSourceStart(){
        return this.materialSourceStart;
    }

    /**
    * 设置 开始 应交材料来源：枚举单选
    * @param materialSourceStart
    */
    public void setMaterialSourceStart(Integer materialSourceStart){
        this.materialSourceStart = materialSourceStart;
    }

    /**
    * 获取 结束 应交材料来源：枚举单选
    * @return materialSourceEnd
    */
    public Integer getMaterialSourceEnd(){
        return this.materialSourceEnd;
    }

    /**
    * 设置 结束 应交材料来源：枚举单选
    * @param materialSourceEnd
    */
    public void setMaterialSourceEnd(Integer materialSourceEnd){
        this.materialSourceEnd = materialSourceEnd;
    }

    /**
    * 获取 增加 应交材料来源：枚举单选
    * @return materialSourceIncrement
    */
    public Integer getMaterialSourceIncrement(){
        return this.materialSourceIncrement;
    }

    /**
    * 设置 增加 应交材料来源：枚举单选
    * @param materialSourceIncrement
    */
    public void setMaterialSourceIncrement(Integer materialSourceIncrement){
        this.materialSourceIncrement = materialSourceIncrement;
    }

    /**
    * 获取 应交材料来源：枚举单选
    * @return materialSourceList
    */
    public List<Integer> getMaterialSourceList(){
        return this.materialSourceList;
    }

    /**
    * 设置 应交材料来源：枚举单选
    * @param materialSourceList
    */
    public void setMaterialSourceList(List<Integer> materialSourceList){
        this.materialSourceList = materialSourceList;
    }
    /**
    * 获取 具体办理部门名称，冗余备用
    * @return handleDeptNameList
    */
    public List<String> getHandleDeptNameList(){
        return this.handleDeptNameList;
    }

    /**
    * 设置 具体办理部门名称，冗余备用
    * @param handleDeptNameList
    */
    public void setHandleDeptNameList(List<String> handleDeptNameList){
        this.handleDeptNameList = handleDeptNameList;
    }
    /**
    * 获取 其他材料类型描述
    * @return othersRemarkList
    */
    public List<String> getOthersRemarkList(){
        return this.othersRemarkList;
    }

    /**
    * 设置 其他材料类型描述
    * @param othersRemarkList
    */
    public void setOthersRemarkList(List<String> othersRemarkList){
        this.othersRemarkList = othersRemarkList;
    }
    /**
    * 获取 开始 材料是否容缺：枚举单选
    * @return isLackStart
    */
    public Integer getIsLackStart(){
        return this.isLackStart;
    }

    /**
    * 设置 开始 材料是否容缺：枚举单选
    * @param isLackStart
    */
    public void setIsLackStart(Integer isLackStart){
        this.isLackStart = isLackStart;
    }

    /**
    * 获取 结束 材料是否容缺：枚举单选
    * @return isLackEnd
    */
    public Integer getIsLackEnd(){
        return this.isLackEnd;
    }

    /**
    * 设置 结束 材料是否容缺：枚举单选
    * @param isLackEnd
    */
    public void setIsLackEnd(Integer isLackEnd){
        this.isLackEnd = isLackEnd;
    }

    /**
    * 获取 增加 材料是否容缺：枚举单选
    * @return isLackIncrement
    */
    public Integer getIsLackIncrement(){
        return this.isLackIncrement;
    }

    /**
    * 设置 增加 材料是否容缺：枚举单选
    * @param isLackIncrement
    */
    public void setIsLackIncrement(Integer isLackIncrement){
        this.isLackIncrement = isLackIncrement;
    }

    /**
    * 获取 材料是否容缺：枚举单选
    * @return isLackList
    */
    public List<Integer> getIsLackList(){
        return this.isLackList;
    }

    /**
    * 设置 材料是否容缺：枚举单选
    * @param isLackList
    */
    public void setIsLackList(List<Integer> isLackList){
        this.isLackList = isLackList;
    }
    /**
    * 获取 开始 是否证明类材料：枚举单选
    * @return isProofMaterialStart
    */
    public Integer getIsProofMaterialStart(){
        return this.isProofMaterialStart;
    }

    /**
    * 设置 开始 是否证明类材料：枚举单选
    * @param isProofMaterialStart
    */
    public void setIsProofMaterialStart(Integer isProofMaterialStart){
        this.isProofMaterialStart = isProofMaterialStart;
    }

    /**
    * 获取 结束 是否证明类材料：枚举单选
    * @return isProofMaterialEnd
    */
    public Integer getIsProofMaterialEnd(){
        return this.isProofMaterialEnd;
    }

    /**
    * 设置 结束 是否证明类材料：枚举单选
    * @param isProofMaterialEnd
    */
    public void setIsProofMaterialEnd(Integer isProofMaterialEnd){
        this.isProofMaterialEnd = isProofMaterialEnd;
    }

    /**
    * 获取 增加 是否证明类材料：枚举单选
    * @return isProofMaterialIncrement
    */
    public Integer getIsProofMaterialIncrement(){
        return this.isProofMaterialIncrement;
    }

    /**
    * 设置 增加 是否证明类材料：枚举单选
    * @param isProofMaterialIncrement
    */
    public void setIsProofMaterialIncrement(Integer isProofMaterialIncrement){
        this.isProofMaterialIncrement = isProofMaterialIncrement;
    }

    /**
    * 获取 是否证明类材料：枚举单选
    * @return isProofMaterialList
    */
    public List<Integer> getIsProofMaterialList(){
        return this.isProofMaterialList;
    }

    /**
    * 设置 是否证明类材料：枚举单选
    * @param isProofMaterialList
    */
    public void setIsProofMaterialList(List<Integer> isProofMaterialList){
        this.isProofMaterialList = isProofMaterialList;
    }
    /**
    * 获取 开始 是否加盖鲜章
    * @return isFreshSealStart
    */
    public Integer getIsFreshSealStart(){
        return this.isFreshSealStart;
    }

    /**
    * 设置 开始 是否加盖鲜章
    * @param isFreshSealStart
    */
    public void setIsFreshSealStart(Integer isFreshSealStart){
        this.isFreshSealStart = isFreshSealStart;
    }

    /**
    * 获取 结束 是否加盖鲜章
    * @return isFreshSealEnd
    */
    public Integer getIsFreshSealEnd(){
        return this.isFreshSealEnd;
    }

    /**
    * 设置 结束 是否加盖鲜章
    * @param isFreshSealEnd
    */
    public void setIsFreshSealEnd(Integer isFreshSealEnd){
        this.isFreshSealEnd = isFreshSealEnd;
    }

    /**
    * 获取 增加 是否加盖鲜章
    * @return isFreshSealIncrement
    */
    public Integer getIsFreshSealIncrement(){
        return this.isFreshSealIncrement;
    }

    /**
    * 设置 增加 是否加盖鲜章
    * @param isFreshSealIncrement
    */
    public void setIsFreshSealIncrement(Integer isFreshSealIncrement){
        this.isFreshSealIncrement = isFreshSealIncrement;
    }

    /**
    * 获取 是否加盖鲜章
    * @return isFreshSealList
    */
    public List<Integer> getIsFreshSealList(){
        return this.isFreshSealList;
    }

    /**
    * 设置 是否加盖鲜章
    * @param isFreshSealList
    */
    public void setIsFreshSealList(List<Integer> isFreshSealList){
        this.isFreshSealList = isFreshSealList;
    }
    /**
    * 获取 盖章方式
    * @return sealWayList
    */
    public List<String> getSealWayList(){
        return this.sealWayList;
    }

    /**
    * 设置 盖章方式
    * @param sealWayList
    */
    public void setSealWayList(List<String> sealWayList){
        this.sealWayList = sealWayList;
    }
    /**
    * 获取 申请材料得出具单位
    * @return sourceOfMaterialList
    */
    public List<String> getSourceOfMaterialList(){
        return this.sourceOfMaterialList;
    }

    /**
    * 设置 申请材料得出具单位
    * @param sourceOfMaterialList
    */
    public void setSourceOfMaterialList(List<String> sourceOfMaterialList){
        this.sourceOfMaterialList = sourceOfMaterialList;
    }
    /**
    * 获取 受理标准
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 受理标准
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 填报须知
    * @return remarkSubList
    */
    public List<String> getRemarkSubList(){
        return this.remarkSubList;
    }

    /**
    * 设置 填报须知
    * @param remarkSubList
    */
    public void setRemarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
    }
    /**
    * 获取 要求提供材料的依据
    * @return clauseContentList
    */
    public List<String> getClauseContentList(){
        return this.clauseContentList;
    }

    /**
    * 设置 要求提供材料的依据
    * @param clauseContentList
    */
    public void setClauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
    }
    /**
    * 获取 电子材料格式
    * @return electronicgsList
    */
    public List<String> getElectronicgsList(){
        return this.electronicgsList;
    }

    /**
    * 设置 电子材料格式
    * @param electronicgsList
    */
    public void setElectronicgsList(List<String> electronicgsList){
        this.electronicgsList = electronicgsList;
    }
    /**
    * 获取 来源渠道说明
    * @return materialSourceSmList
    */
    public List<String> getMaterialSourceSmList(){
        return this.materialSourceSmList;
    }

    /**
    * 设置 来源渠道说明
    * @param materialSourceSmList
    */
    public void setMaterialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
    }
    /**
    * 获取 纸质材料规格
    * @return paperGgList
    */
    public List<String> getPaperGgList(){
        return this.paperGgList;
    }

    /**
    * 设置 纸质材料规格
    * @param paperGgList
    */
    public void setPaperGgList(List<String> paperGgList){
        this.paperGgList = paperGgList;
    }
    /**
    * 获取 是否减免
    * @return isjianmList
    */
    public List<String> getIsjianmList(){
        return this.isjianmList;
    }

    /**
    * 设置 是否减免
    * @param isjianmList
    */
    public void setIsjianmList(List<String> isjianmList){
        this.isjianmList = isjianmList;
    }
    /**
    * 获取 减免模式
    * @return jianmMsList
    */
    public List<String> getJianmMsList(){
        return this.jianmMsList;
    }

    /**
    * 设置 减免模式
    * @param jianmMsList
    */
    public void setJianmMsList(List<String> jianmMsList){
        this.jianmMsList = jianmMsList;
    }
    /**
    * 获取 备注
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 样表下载地址
    * @return ybUrlList
    */
    public List<String> getYbUrlList(){
        return this.ybUrlList;
    }

    /**
    * 设置 样表下载地址
    * @param ybUrlList
    */
    public void setYbUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthDatumQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthDatumQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthDatumQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthDatumQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthDatumQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 材料id 政务网来的id
    * @param tid
    */
    public YthDatumQuery tid(String tid){
        setTid(tid);
		return this;
    }


    /**
    * 设置 材料id 政务网来的id
    * @param tidList
    */
    public YthDatumQuery tidList(List<String> tidList){
        this.tidList = tidList;
		return this;
    }

	/**
    * 设置  事项id
    * @param matterid
    */
    public YthDatumQuery matterid(Long matterid){
	    setMatterid(matterid);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public YthDatumQuery matteridStart(Long matteridStart){
		this.matteridStart = matteridStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public YthDatumQuery matteridEnd(Long matteridEnd){
		this.matteridEnd = matteridEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public YthDatumQuery matteridIncrement(Long matteridIncrement){
		this.matteridIncrement = matteridIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public YthDatumQuery matteridList(List<Long> matteridList){
        this.matteridList = matteridList;
		return this;
        }
	/**
    * 设置 材料名称
    * @param materialName
    */
    public YthDatumQuery materialName(String materialName){
        setMaterialName(materialName);
		return this;
    }


    /**
    * 设置 材料名称
    * @param materialNameList
    */
    public YthDatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
		return this;
    }
	/**
    * 设置 材料编号
    * @param materialCode
    */
    public YthDatumQuery materialCode(String materialCode){
        setMaterialCode(materialCode);
		return this;
    }


    /**
    * 设置 材料编号
    * @param materialCodeList
    */
    public YthDatumQuery materialCodeList(List<String> materialCodeList){
        this.materialCodeList = materialCodeList;
		return this;
    }
	/**
    * 设置 材料类型
    * @param materialType
    */
    public YthDatumQuery materialType(String materialType){
        setMaterialType(materialType);
		return this;
    }


    /**
    * 设置 材料类型
    * @param materialTypeList
    */
    public YthDatumQuery materialTypeList(List<String> materialTypeList){
        this.materialTypeList = materialTypeList;
		return this;
    }
	
	/**
    * 设置  材料属性
    * @param materialProperty
    */
    public YthDatumQuery materialProperty(Integer materialProperty){
        setMaterialProperty(materialProperty);
		return this;
    }

    /**
    * 设置 开始 材料属性
    * @param materialPropertyStart
    */
    public YthDatumQuery materialPropertyStart(Integer materialPropertyStart){
        this.materialPropertyStart = materialPropertyStart;
		return this;
    }


    /**
    * 设置 结束 材料属性
    * @param materialPropertyEnd
    */
    public YthDatumQuery materialPropertyEnd(Integer materialPropertyEnd){
        this.materialPropertyEnd = materialPropertyEnd;
		return this;
    }


    /**
    * 设置 增加 材料属性
    * @param materialPropertyIncrement
    */
    public YthDatumQuery materialPropertyIncrement(Integer materialPropertyIncrement){
        this.materialPropertyIncrement = materialPropertyIncrement;
		return this;
    }


    /**
    * 设置 材料属性
    * @param materialPropertyList
    */
    public YthDatumQuery materialPropertyList(List<Integer> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
		return this;
    }
	
	/**
    * 设置  纸质材料份数
    * @param paperNum
    */
    public YthDatumQuery paperNum(Integer paperNum){
        setPaperNum(paperNum);
		return this;
    }

    /**
    * 设置 开始 纸质材料份数
    * @param paperNumStart
    */
    public YthDatumQuery paperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
		return this;
    }


    /**
    * 设置 结束 纸质材料份数
    * @param paperNumEnd
    */
    public YthDatumQuery paperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
		return this;
    }


    /**
    * 设置 增加 纸质材料份数
    * @param paperNumIncrement
    */
    public YthDatumQuery paperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
		return this;
    }


    /**
    * 设置 纸质材料份数
    * @param paperNumList
    */
    public YthDatumQuery paperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
		return this;
    }
	
	/**
    * 设置  电子材料份数
    * @param electronicNum
    */
    public YthDatumQuery electronicNum(Integer electronicNum){
        setElectronicNum(electronicNum);
		return this;
    }

    /**
    * 设置 开始 电子材料份数
    * @param electronicNumStart
    */
    public YthDatumQuery electronicNumStart(Integer electronicNumStart){
        this.electronicNumStart = electronicNumStart;
		return this;
    }


    /**
    * 设置 结束 电子材料份数
    * @param electronicNumEnd
    */
    public YthDatumQuery electronicNumEnd(Integer electronicNumEnd){
        this.electronicNumEnd = electronicNumEnd;
		return this;
    }


    /**
    * 设置 增加 电子材料份数
    * @param electronicNumIncrement
    */
    public YthDatumQuery electronicNumIncrement(Integer electronicNumIncrement){
        this.electronicNumIncrement = electronicNumIncrement;
		return this;
    }


    /**
    * 设置 电子材料份数
    * @param electronicNumList
    */
    public YthDatumQuery electronicNumList(List<Integer> electronicNumList){
        this.electronicNumList = electronicNumList;
		return this;
    }
	
	/**
    * 设置  是否必交
    * @param isMust
    */
    public YthDatumQuery isMust(Integer isMust){
        setIsMust(isMust);
		return this;
    }

    /**
    * 设置 开始 是否必交
    * @param isMustStart
    */
    public YthDatumQuery isMustStart(Integer isMustStart){
        this.isMustStart = isMustStart;
		return this;
    }


    /**
    * 设置 结束 是否必交
    * @param isMustEnd
    */
    public YthDatumQuery isMustEnd(Integer isMustEnd){
        this.isMustEnd = isMustEnd;
		return this;
    }


    /**
    * 设置 增加 是否必交
    * @param isMustIncrement
    */
    public YthDatumQuery isMustIncrement(Integer isMustIncrement){
        this.isMustIncrement = isMustIncrement;
		return this;
    }


    /**
    * 设置 是否必交
    * @param isMustList
    */
    public YthDatumQuery isMustList(List<Integer> isMustList){
        this.isMustList = isMustList;
		return this;
    }
	/**
    * 设置 送报要求 填报须知
    * @param deliverDemand
    */
    public YthDatumQuery deliverDemand(String deliverDemand){
        setDeliverDemand(deliverDemand);
		return this;
    }


    /**
    * 设置 送报要求 填报须知
    * @param deliverDemandList
    */
    public YthDatumQuery deliverDemandList(List<String> deliverDemandList){
        this.deliverDemandList = deliverDemandList;
		return this;
    }
	/**
    * 设置 材料种类
    * @param materialCategory
    */
    public YthDatumQuery materialCategory(String materialCategory){
        setMaterialCategory(materialCategory);
		return this;
    }


    /**
    * 设置 材料种类
    * @param materialCategoryList
    */
    public YthDatumQuery materialCategoryList(List<String> materialCategoryList){
        this.materialCategoryList = materialCategoryList;
		return this;
    }
	
	/**
    * 设置  应交材料来源：枚举单选
    * @param materialSource
    */
    public YthDatumQuery materialSource(Integer materialSource){
        setMaterialSource(materialSource);
		return this;
    }

    /**
    * 设置 开始 应交材料来源：枚举单选
    * @param materialSourceStart
    */
    public YthDatumQuery materialSourceStart(Integer materialSourceStart){
        this.materialSourceStart = materialSourceStart;
		return this;
    }


    /**
    * 设置 结束 应交材料来源：枚举单选
    * @param materialSourceEnd
    */
    public YthDatumQuery materialSourceEnd(Integer materialSourceEnd){
        this.materialSourceEnd = materialSourceEnd;
		return this;
    }


    /**
    * 设置 增加 应交材料来源：枚举单选
    * @param materialSourceIncrement
    */
    public YthDatumQuery materialSourceIncrement(Integer materialSourceIncrement){
        this.materialSourceIncrement = materialSourceIncrement;
		return this;
    }


    /**
    * 设置 应交材料来源：枚举单选
    * @param materialSourceList
    */
    public YthDatumQuery materialSourceList(List<Integer> materialSourceList){
        this.materialSourceList = materialSourceList;
		return this;
    }
	/**
    * 设置 具体办理部门名称，冗余备用
    * @param handleDeptName
    */
    public YthDatumQuery handleDeptName(String handleDeptName){
        setHandleDeptName(handleDeptName);
		return this;
    }


    /**
    * 设置 具体办理部门名称，冗余备用
    * @param handleDeptNameList
    */
    public YthDatumQuery handleDeptNameList(List<String> handleDeptNameList){
        this.handleDeptNameList = handleDeptNameList;
		return this;
    }
	/**
    * 设置 其他材料类型描述
    * @param othersRemark
    */
    public YthDatumQuery othersRemark(String othersRemark){
        setOthersRemark(othersRemark);
		return this;
    }


    /**
    * 设置 其他材料类型描述
    * @param othersRemarkList
    */
    public YthDatumQuery othersRemarkList(List<String> othersRemarkList){
        this.othersRemarkList = othersRemarkList;
		return this;
    }
	
	/**
    * 设置  材料是否容缺：枚举单选
    * @param isLack
    */
    public YthDatumQuery isLack(Integer isLack){
        setIsLack(isLack);
		return this;
    }

    /**
    * 设置 开始 材料是否容缺：枚举单选
    * @param isLackStart
    */
    public YthDatumQuery isLackStart(Integer isLackStart){
        this.isLackStart = isLackStart;
		return this;
    }


    /**
    * 设置 结束 材料是否容缺：枚举单选
    * @param isLackEnd
    */
    public YthDatumQuery isLackEnd(Integer isLackEnd){
        this.isLackEnd = isLackEnd;
		return this;
    }


    /**
    * 设置 增加 材料是否容缺：枚举单选
    * @param isLackIncrement
    */
    public YthDatumQuery isLackIncrement(Integer isLackIncrement){
        this.isLackIncrement = isLackIncrement;
		return this;
    }


    /**
    * 设置 材料是否容缺：枚举单选
    * @param isLackList
    */
    public YthDatumQuery isLackList(List<Integer> isLackList){
        this.isLackList = isLackList;
		return this;
    }
	
	/**
    * 设置  是否证明类材料：枚举单选
    * @param isProofMaterial
    */
    public YthDatumQuery isProofMaterial(Integer isProofMaterial){
        setIsProofMaterial(isProofMaterial);
		return this;
    }

    /**
    * 设置 开始 是否证明类材料：枚举单选
    * @param isProofMaterialStart
    */
    public YthDatumQuery isProofMaterialStart(Integer isProofMaterialStart){
        this.isProofMaterialStart = isProofMaterialStart;
		return this;
    }


    /**
    * 设置 结束 是否证明类材料：枚举单选
    * @param isProofMaterialEnd
    */
    public YthDatumQuery isProofMaterialEnd(Integer isProofMaterialEnd){
        this.isProofMaterialEnd = isProofMaterialEnd;
		return this;
    }


    /**
    * 设置 增加 是否证明类材料：枚举单选
    * @param isProofMaterialIncrement
    */
    public YthDatumQuery isProofMaterialIncrement(Integer isProofMaterialIncrement){
        this.isProofMaterialIncrement = isProofMaterialIncrement;
		return this;
    }


    /**
    * 设置 是否证明类材料：枚举单选
    * @param isProofMaterialList
    */
    public YthDatumQuery isProofMaterialList(List<Integer> isProofMaterialList){
        this.isProofMaterialList = isProofMaterialList;
		return this;
    }
	
	/**
    * 设置  是否加盖鲜章
    * @param isFreshSeal
    */
    public YthDatumQuery isFreshSeal(Integer isFreshSeal){
        setIsFreshSeal(isFreshSeal);
		return this;
    }

    /**
    * 设置 开始 是否加盖鲜章
    * @param isFreshSealStart
    */
    public YthDatumQuery isFreshSealStart(Integer isFreshSealStart){
        this.isFreshSealStart = isFreshSealStart;
		return this;
    }


    /**
    * 设置 结束 是否加盖鲜章
    * @param isFreshSealEnd
    */
    public YthDatumQuery isFreshSealEnd(Integer isFreshSealEnd){
        this.isFreshSealEnd = isFreshSealEnd;
		return this;
    }


    /**
    * 设置 增加 是否加盖鲜章
    * @param isFreshSealIncrement
    */
    public YthDatumQuery isFreshSealIncrement(Integer isFreshSealIncrement){
        this.isFreshSealIncrement = isFreshSealIncrement;
		return this;
    }


    /**
    * 设置 是否加盖鲜章
    * @param isFreshSealList
    */
    public YthDatumQuery isFreshSealList(List<Integer> isFreshSealList){
        this.isFreshSealList = isFreshSealList;
		return this;
    }
	/**
    * 设置 盖章方式
    * @param sealWay
    */
    public YthDatumQuery sealWay(String sealWay){
        setSealWay(sealWay);
		return this;
    }


    /**
    * 设置 盖章方式
    * @param sealWayList
    */
    public YthDatumQuery sealWayList(List<String> sealWayList){
        this.sealWayList = sealWayList;
		return this;
    }
	/**
    * 设置 申请材料得出具单位
    * @param sourceOfMaterial
    */
    public YthDatumQuery sourceOfMaterial(String sourceOfMaterial){
        setSourceOfMaterial(sourceOfMaterial);
		return this;
    }


    /**
    * 设置 申请材料得出具单位
    * @param sourceOfMaterialList
    */
    public YthDatumQuery sourceOfMaterialList(List<String> sourceOfMaterialList){
        this.sourceOfMaterialList = sourceOfMaterialList;
		return this;
    }
	/**
    * 设置 受理标准
    * @param remark
    */
    public YthDatumQuery remark(String remark){
        setRemark(remark);
		return this;
    }


    /**
    * 设置 受理标准
    * @param remarkList
    */
    public YthDatumQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }
	/**
    * 设置 填报须知
    * @param remarkSub
    */
    public YthDatumQuery remarkSub(String remarkSub){
        setRemarkSub(remarkSub);
		return this;
    }


    /**
    * 设置 填报须知
    * @param remarkSubList
    */
    public YthDatumQuery remarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
		return this;
    }
	/**
    * 设置 要求提供材料的依据
    * @param clauseContent
    */
    public YthDatumQuery clauseContent(String clauseContent){
        setClauseContent(clauseContent);
		return this;
    }


    /**
    * 设置 要求提供材料的依据
    * @param clauseContentList
    */
    public YthDatumQuery clauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
		return this;
    }
	/**
    * 设置 电子材料格式
    * @param electronicgs
    */
    public YthDatumQuery electronicgs(String electronicgs){
        setElectronicgs(electronicgs);
		return this;
    }


    /**
    * 设置 电子材料格式
    * @param electronicgsList
    */
    public YthDatumQuery electronicgsList(List<String> electronicgsList){
        this.electronicgsList = electronicgsList;
		return this;
    }
	/**
    * 设置 来源渠道说明
    * @param materialSourceSm
    */
    public YthDatumQuery materialSourceSm(String materialSourceSm){
        setMaterialSourceSm(materialSourceSm);
		return this;
    }


    /**
    * 设置 来源渠道说明
    * @param materialSourceSmList
    */
    public YthDatumQuery materialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
		return this;
    }
	/**
    * 设置 纸质材料规格
    * @param paperGg
    */
    public YthDatumQuery paperGg(String paperGg){
        setPaperGg(paperGg);
		return this;
    }


    /**
    * 设置 纸质材料规格
    * @param paperGgList
    */
    public YthDatumQuery paperGgList(List<String> paperGgList){
        this.paperGgList = paperGgList;
		return this;
    }
	/**
    * 设置 是否减免
    * @param isjianm
    */
    public YthDatumQuery isjianm(String isjianm){
        setIsjianm(isjianm);
		return this;
    }


    /**
    * 设置 是否减免
    * @param isjianmList
    */
    public YthDatumQuery isjianmList(List<String> isjianmList){
        this.isjianmList = isjianmList;
		return this;
    }
	/**
    * 设置 减免模式
    * @param jianmMs
    */
    public YthDatumQuery jianmMs(String jianmMs){
        setJianmMs(jianmMs);
		return this;
    }


    /**
    * 设置 减免模式
    * @param jianmMsList
    */
    public YthDatumQuery jianmMsList(List<String> jianmMsList){
        this.jianmMsList = jianmMsList;
		return this;
    }
	/**
    * 设置 备注
    * @param summary
    */
    public YthDatumQuery summary(String summary){
        setSummary(summary);
		return this;
    }


    /**
    * 设置 备注
    * @param summaryList
    */
    public YthDatumQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }
	/**
    * 设置 样表下载地址
    * @param ybUrl
    */
    public YthDatumQuery ybUrl(String ybUrl){
        setYbUrl(ybUrl);
		return this;
    }


    /**
    * 设置 样表下载地址
    * @param ybUrlList
    */
    public YthDatumQuery ybUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthDatumQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthDatumQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户
    * @param createUser
    */
    public YthDatumQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户
    * @param createUserList
    */
    public YthDatumQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthDatumQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}